API / geotoolkit / map / sources / formats / GPX / GPX
GPX source format that formats feature queries and parses the GPX formatted response
↳
GPX
Constructors
Methods
Constructors
• new GPX(options?)
| Name | Type | Description |
|---|---|---|
Optional options | Options | options |
AbstractFormat.constructor
Methods
▸ abort(key?): GPX
Aborts all previous requests
| Name | Type | Description |
|---|---|---|
Optional key | string | key of the connections to abort (all connections aborted if nothing provided) |
this
▸ clone(): AbstractFormat
All subclasses should override copyConstructor or provide custom implementation for this method
clone
▸ cloneQueryParameters(format): GPX
Copies query parameters from another format
| Name | Type | Description |
|---|---|---|
format | AbstractFormat | format to clone parameters |
this
AbstractFormat.cloneQueryParameters
▸ Protected copyConstructor(src, deepCopy?): GPX
Copy constructor function.
Function used as part of the cloning mechanism.
Implementations should copy the given instance state to this instance.
| Name | Type | Description |
|---|---|---|
src | AbstractFormat | Source to copy from |
Optional deepCopy | boolean | deep copy |
this
AbstractFormat.copyConstructor
▸ dispose(): void
Dispose.
void
▸ getClassName(): string
string
▸ getConnector(): AbstractConnector<any>
Gets connector
AbstractConnector<any>
connector
▸ hasEventListener(type, callback?): boolean
Check if a list of event listeners for this type contains this listener
| Name | Type | Description |
|---|---|---|
type | string | type of event or property |
Optional callback | Function | to be called, if null, check if any callback is registered |
boolean
AbstractFormat.hasEventListener
▸ isDisposed(): boolean
Returns whether this object has been disposed
boolean
▸ isLoading(): boolean
Checks if some of the requests haven't been finished yet. Returns true if some data is loading, false otherwise.
boolean
▸ isSilent(): boolean
Return true if the event dispatcher doesn't notify any events
boolean
▸ notify<E>(type, source, args?): GPX
Notify listeners
| Name | Type |
|---|---|
E | extends string |
| Name | Type | Description |
|---|---|---|
type | E | event types |
source | AbstractFormat | of the event |
Optional args | EventMap[E] | arguments of the event |
this
▸ off<E>(type?, callback?): GPX
Detach listener on event. Calling .off() with no arguments removes all attached listeners. Calling .off(type) with no callback removes all attached listeners for specific type.
| Name | Type |
|---|---|
E | extends string |
| Name | Type | Description |
|---|---|---|
Optional type | E | type of the event |
Optional callback | (eventType: E, sender: GPX, args: EventMap[E]) => void | function to be called |
this
▸ on<E>(type, callback): GPX
Attach listener on event that will be called whenever the specified event is delivered to the target
If the callback function is already in the list of event listeners for this target, the function is not added a second time.
If a particular anonymous function is in the list of event listeners registered for a certain target, and then later in the code, an identical anonymous function is given in an "on" call, the second function will also be added to the list of event listeners for that target.
| Name | Type |
|---|---|
E | extends string |
| Name | Type | Description |
|---|---|---|
type | E | type of event or property |
callback | (eventType: E, sender: GPX, args: EventMap[E]) => void | to be called |
this
▸ parse(data): GPX
Parses the data provided and notifies about the result. Is used in the default query implementation.
| Name | Type | Description |
|---|---|---|
data | string | XMLDocument | data object or its string representation |
this
▸ query(query?): GPX
Sends a request based on a settings provided That's a basic implementation for the file requests. Implement parse method to use it or override this method directly.
| Name | Type | Description |
|---|---|---|
Optional query | SendOptions | query params |
this
▸ setQueryParameter(param, value): GPX
Sets the query parameter to add to the data requests
| Name | Type | Description |
|---|---|---|
param | string | parameter name |
value | string | number | boolean | parameter value |
this
AbstractFormat.setQueryParameter
▸ setSilent(bool): GPX
Set silent mode
| Name | Type | Description |
|---|---|---|
bool | boolean | flag to enable silent mode |
this
▸ Static getClassName(): string
string